/******************************************************************************
 * Die.java - Random numbers 1-6
 * $Id: Die.java,v 1.3 2011/06/11 19:18:34 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Die.java,v $
 * Revision 1.3  2011/06/11 19:18:34  dick
 * Stop passing jibsServer all around.  If anybody wants it, they can do JibsServer.getInstance().
 *
 * Revision 1.2  2011/05/30 05:29:21  dick
 * retab.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.backgammon;

import net.sourceforge.jibs.server.JibsServer;

/** Die is the model of a die. It can be rolled and it can be asked for its value.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.3 $ <br> $Date: 2011/06/11 19:18:34 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/backgammon/Die.java">cvs Die.java</a>
 */
public class Die {
	private int dice_value;

	public Die() {
		dice_value = 0;
	}

	public int getValue() {
		return dice_value;
	}

	public void roll() {
		JibsRandom random = JibsServer.getInstance().getJibsRandom();
		dice_value = random.nextInt(6) + 1;
	}

	public void setValue(int value) {
		dice_value = value;
	}

}
